
From: Trond Myklebust <trond.myklebust@fys.uio.no>

A patch to ensure that blocks which are not going to time out are placed last
on the ordered list nlm_block (problem reported by Olaf Kirch).


---

 fs/lockd/svclock.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/lockd/svclock.c~nfs-lockd-sync-04 fs/lockd/svclock.c
--- 25/fs/lockd/svclock.c~nfs-lockd-sync-04	2004-02-29 14:55:45.000000000 -0800
+++ 25-akpm/fs/lockd/svclock.c	2004-02-29 14:55:45.000000000 -0800
@@ -64,7 +64,7 @@ nlmsvc_insert_block(struct nlm_block *bl
 	if (when != NLM_NEVER) {
 		if ((when += jiffies) == NLM_NEVER)
 			when ++;
-		while ((b = *bp) && time_before_eq(b->b_when,when))
+		while ((b = *bp) && time_before_eq(b->b_when,when) && b->b_when != NLM_NEVER)
 			bp = &b->b_next;
 	} else
 		while ((b = *bp))

_
